Rails.application.routes.draw do

  locales = Site.find_by(site_active: true).in_use_locales rescue I18n.available_locales
  
  scope "(:locale)", locale: Regexp.new(locales.join("|")) do
   namespace :admin do
      resources :page_contents do
      	member do 
      		get "view" => "page_contents#view"
      	end
      end
   end
  end

end
